Index: /LMDZ5/branches/testing/libf/phylmd/cva_driver.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/cva_driver.F90	(revision 2407)
+++ /LMDZ5/branches/testing/libf/phylmd/cva_driver.F90	(revision 2408)
@@ -16,5 +16,5 @@
                       sig1, w01, & !input/output
                       ptop21, sigd1, &
-                      ma1, mip1, Vprecip1, upwd1, dnwd1, dnwd01, &
+                      ma1, mip1, Vprecip1, Vprecipi1, upwd1, dnwd1, dnwd01, &      ! jyg
                       qcondc1, wd1, &
                       cape1, cin1, tvp1, &
@@ -39,4 +39,5 @@
 
   USE dimphy
+  USE print_control_mod, ONLY: prt_level, lunout
   IMPLICIT NONE
 
@@ -98,5 +99,6 @@
 ! Ma1           Real           Output       mass flux adiabatic updraft
 ! mip1          Real           Output       mass flux shed by the adiabatic updraft
-! Vprecip1      Real           Output       vertical profile of precipitations
+! Vprecip1      Real           Output       vertical profile of total precipitation
+! Vprecipi1     Real           Output       vertical profile of ice precipitation
 ! upwd1         Real           Output       total upward mass flux (adiab+mixed)
 ! dnwd1         Real           Output       saturated downward mass flux (mixed)
@@ -158,7 +160,4 @@
 
 
-  include "dimensions.h"
-!!!!!#include "dimphy.h"
-  include 'iniprint.h'
 
 ! Input
@@ -222,4 +221,5 @@
 ! real Vprecip1(len,nd)
   REAL, DIMENSION (len, ndp1), INTENT (OUT)          :: vprecip1
+  REAL, DIMENSION (len, ndp1), INTENT (OUT)          :: vprecipi1
   REAL, DIMENSION (len, nd), INTENT (OUT)            :: upwd1
   REAL, DIMENSION (len, nd), INTENT (OUT)            :: dnwd1
@@ -500,4 +500,5 @@
 ! real Vprecip(nloc,klev)
   REAL vprecip(nloc, klev+1)
+  REAL vprecipi(nloc, klev+1)
   REAL tra(nloc, klev, ntra), trap(nloc, klev, ntra)
   REAL ftra(nloc, klev, ntra), traent(nloc, klev, klev, ntra)
@@ -529,4 +530,7 @@
   CHARACTER (LEN=80) :: abort_message
 
+  INTEGER,SAVE                                       :: igout=1
+!$OMP THREADPRIVATE(igout)
+
 
 ! print *, 't1, t1_wake ',(k,t1(1,k),t1_wake(1,k),k=1,klev)
@@ -588,4 +592,7 @@
   precip1(:) = 0.
   cbmf1(:) = 0.
+  plcl1(:) = 0.
+  plfc1(:) = 0.
+  wbeff1(:) = 0.
   ptop21(:) = 0.
   sigd1(:) = 0.
@@ -593,4 +600,5 @@
   mip1(:, :) = 0.
   vprecip1(:, :) = 0.
+  vprecipi1(:, :) = 0.
   upwd1(:, :) = 0.
   dnwd1(:, :) = 0.
@@ -635,4 +643,5 @@
   sigij1(:, :, :) = 0.
   elij1(:, :, :) = 0.
+  wghti1(:,:) = 0.
   phi21(:, :, :) = 0.
   d1a1(:, :) = 0.
@@ -686,5 +695,5 @@
     WRITE (lunout, *) 'changer la valeur de sig2feed dans physiq.def'
     abort_message = ''
-    CALL abort_gcm(modname, abort_message, 1)
+    CALL abort_physic(modname, abort_message, 1)
   END IF
 
@@ -911,5 +920,5 @@
                          pbase, p, ph, tv, buoy, &
                          sig, w0, cape, m, iflag)
-      END IF
+      END IF   ! iflag_clos==0
 
       ok_inhib = iflag_mix == 2
@@ -921,5 +930,6 @@
 ! c    :                       ,supmax
 ! c    o                       ,sig,w0,ptop2,cape,cin,m)
-      END IF
+      END IF   ! iflag_clos==1
+
       IF (iflag_clos==2) THEN
         CALL cv3p1_closure(nloc, ncum, nd, icb, inb, &         ! na->nd
@@ -931,6 +941,17 @@
         if (prt_level >= 10) &
              PRINT *, 'cv3p1_closure-> plfc,wbeff ', plfc(1), wbeff(1)
-      END IF
-    END IF ! iflag_con.eq.3
+      END IF   ! iflag_clos==2
+
+      IF (iflag_clos==3) THEN
+        CALL cv3p2_closure(nloc, ncum, nd, icb, inb, &         ! na->nd
+                           pbase, plcl, p, ph, tv, tvp, buoy, &
+                           supmax, ok_inhib, Ale, Alp, omega, &
+                           sig, w0, ptop2, cape, cin, m, iflag, coef_clos, &
+                           Plim1, plim2, asupmax, supmax0, &
+                           asupmaxmin, cbmf, plfc, wbeff)
+        if (prt_level >= 10) &
+             PRINT *, 'cv3p2_closure-> plfc,wbeff ', plfc(1), wbeff(1)
+      END IF   ! iflag_clos==3
+    END IF ! iflag_con==3
 
     IF (iflag_con==4) THEN
@@ -971,6 +992,6 @@
       PRINT *, ' cv_mixing ->'
     END IF !(debut) THEN
-! do i = 1,klev
-! print*,'cv_mixing-> i,ment ',i,(ment(1,i,j),j=1,klev)
+! do i = 1,nd
+! print*,'cv_mixing-> i,ment ',i,(ment(1,i,j),j=1,nd)
 ! enddo
 
@@ -991,5 +1012,20 @@
                      faci, b, sigd, &
                      wdtrainA, wdtrainM)                                       ! RomP
-    END IF
+!
+      IF (prt_level >= 10) THEN
+        Print *, 'cva_driver after cv3_unsat:mp , water, ice, evap, fondue '
+        DO k = 1,nd
+        write (6, '(i4,5(1x,e13.6))'), &
+          k, mp(idcum(igout),k), water(idcum(igout),k), ice(idcum(igout),k), &
+           evap(idcum(igout),k), fondue(idcum(igout),k)
+        ENDDO
+        Print *, 'cva_driver after cv3_unsat: wdtrainA, wdtrainM '
+        DO k = 1,nd
+        write (6, '(i4,2(1x,e13.6))'), &
+           k, wdtrainA(idcum(igout),k), wdtrainM(idcum(igout),k)
+        ENDDO
+      ENDIF
+!
+    END IF  !(iflag_con==3)
 
     IF (iflag_con==4) THEN
@@ -1022,14 +1058,22 @@
                      nent, elij, traent, sig, &
                      tv, tvp, wghti, &
-                     iflag, precip, vprecip, ft, fq, fu, fv, ftra, &
+                     iflag, precip, Vprecip, Vprecipi, ft, fq, fu, fv, ftra, &      ! jyg
                      cbmf, upwd, dnwd, dnwd0, ma, mip, &
 !!                     tls, tps, &                            ! useless . jyg
                      qcondc, wd, &
                      ftd, fqd, qnk, qtc, sigt, tau_cld_cv, coefw_cld_cv)
-    END IF
-
-    IF (debut) THEN
-      PRINT *, ' cv3_yield -> fqd(1) = ', fqd(1, 1)
-    END IF !(debut) THEN
+!
+      IF (debut) THEN
+        PRINT *, ' cv3_yield -> fqd(1) = ', fqd(idcum(igout), 1)
+      END IF !(debut) THEN
+!   
+      IF (prt_level >= 10) THEN
+        Print *, 'cva_driver after cv3_yield:ft(1) , ftd(1) ', &
+                    ft(idcum(igout),1), ftd(idcum(igout),1)
+        Print *, 'cva_driver after cv3_yield:fq(1) , fqd(1) ', &
+                    fq(idcum(igout),1), fqd(idcum(igout),1)
+      ENDIF
+!   
+    END IF
 
     IF (iflag_con==4) THEN
@@ -1071,5 +1115,5 @@
                            precip, cbmf, plcl, plfc, wbeff, sig, w0, ptop2, &
                            ft, fq, fu, fv, ftra, &
-                           sigd, ma, mip, vprecip, upwd, dnwd, dnwd0, &
+                           sigd, ma, mip, vprecip, vprecipi, upwd, dnwd, dnwd0, &
                            qcondc, wd, cape, cin, &
                            tvp, &
@@ -1084,5 +1128,5 @@
                            precip1, cbmf1, plcl1, plfc1, wbeff1, sig1, w01, ptop21, &
                            ft1, fq1, fu1, fv1, ftra1, &
-                           sigd1, ma1, mip1, vprecip1, upwd1, dnwd1, dnwd01, &
+                           sigd1, ma1, mip1, vprecip1, vprecipi1, upwd1, dnwd1, dnwd01, &
                            qcondc1, wd1, cape1, cin1, &
                            tvp1, &
Index: /LMDZ5/branches/testing/libf/phylmd/cvltr.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/cvltr.F90	(revision 2407)
+++ /LMDZ5/branches/testing/libf/phylmd/cvltr.F90	(revision 2408)
@@ -12,5 +12,5 @@
   USE IOIPSL 
   USE dimphy
-  USE infotrac, ONLY : nbtr,tname
+  USE infotrac_phy, ONLY : nbtr,tname
   IMPLICIT NONE 
 !=====================================================================
Index: /LMDZ5/branches/testing/libf/phylmd/cvltr_noscav.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/cvltr_noscav.F90	(revision 2407)
+++ /LMDZ5/branches/testing/libf/phylmd/cvltr_noscav.F90	(revision 2408)
@@ -4,5 +4,5 @@
 SUBROUTINE cvltr_noscav(it,pdtime,da, phi, mp,wght_cvfd,paprs,pplay,x,upd,dnd,dx)
   USE dimphy
-  USE infotrac, ONLY : nbtr
+  USE infotrac_phy, ONLY : nbtr
   IMPLICIT NONE 
 !=====================================================================
Index: /LMDZ5/branches/testing/libf/phylmd/cvltr_scav.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/cvltr_scav.F90	(revision 2407)
+++ /LMDZ5/branches/testing/libf/phylmd/cvltr_scav.F90	(revision 2408)
@@ -13,5 +13,5 @@
   USE IOIPSL 
   USE dimphy
-  USE infotrac, ONLY : nbtr,tname
+  USE infotrac_phy, ONLY : nbtr,tname
   IMPLICIT NONE 
   !=====================================================================
Index: /LMDZ5/branches/testing/libf/phylmd/cvltr_spl.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/cvltr_spl.F90	(revision 2407)
+++ /LMDZ5/branches/testing/libf/phylmd/cvltr_spl.F90	(revision 2408)
@@ -13,5 +13,5 @@
   USE IOIPSL 
   USE dimphy
-  USE infotrac, ONLY : nbtr,tname
+  USE infotrac_phy, ONLY : nbtr,tname
   IMPLICIT NONE 
 !=====================================================================
Index: /LMDZ5/branches/testing/libf/phylmd/cvltrorig.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/cvltrorig.F90	(revision 2407)
+++ /LMDZ5/branches/testing/libf/phylmd/cvltrorig.F90	(revision 2408)
@@ -4,5 +4,5 @@
 SUBROUTINE cvltrorig(it,pdtime,da, phi, mp,paprs,pplay,x,upd,dnd,dx)
   USE dimphy
-  USE infotrac, ONLY : nbtr
+  USE infotrac_phy, ONLY : nbtr
   IMPLICIT NONE 
 !=====================================================================
Index: /LMDZ5/branches/testing/libf/phylmd/diag_slp.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/diag_slp.F90	(revision 2408)
+++ /LMDZ5/branches/testing/libf/phylmd/diag_slp.F90	(revision 2408)
@@ -0,0 +1,45 @@
+SUBROUTINE diag_slp(nlon,t,pab,pal,pphis,tasfc,tastd,pmer)
+ USE dimphy
+ USE phys_output_write_mod
+ USE phys_output_ctrlout_mod
+ USE phys_local_var_mod
+ IMPLICIT NONE
+  !>======================================================================
+  !!
+  !! Auteur(s) I.Musat (LMD/CNRS) date: 20151106
+  !!
+  !! Objet: Calcul pression au niveau de la mer cf. Arpege-IFS 
+  !! ctstar: calcule la temperature de l'air a la surface (tasfc) et
+  !!                 la temperature de l'air standard a la surface (tastd)
+  !! pppmer: calcule la slp a partir de tasfc, tastd, de la pression a la surface (pab1)
+  !!                 et du geopotentiel de la surface
+  !!======================================================================
+  !! nlon--input-R-temperature au milieu de chaque couche (en K)
+  !! t--input-R-temperature au milieu de chaque couche (en K)
+  !! pab--input-R-pression pour chaque inter-couche (en Pa)
+  !! pal---input-R-pression pour le mileu de chaque couche (en Pa)
+  !! pphis---input-R-geopotentiel du sol (en m2/s2)
+  !! tasfc---output-R-temperature air au sol (en K)
+  !! tastd---output-R-temperature air 'standard' au sol (en K)
+  !! pmer---output-R-pression au niveau de la mer (en Pa)
+  !!======================================================================
+  INTEGER nlon
+  REAL t(nlon,klev)
+  REAL pab(nlon,klev+1)
+  REAL pal(nlon,klev)
+  REAL pphis(nlon)
+  REAL tasfc(nlon), tastd(nlon)
+  REAL pmer(nlon)
+!!!
+!!! calcul tasfc et tastd
+  tal1(:)=t(:,1)
+  pab2(:)=pab(:,2)
+  pal1(:)=pal(:,1)
+  CALL ctstar(nlon,1,nlon,tal1,pab2,pal1,pphis,tasfc,tastd)
+!!!
+!!! calcul slp
+  pab1(:)=pab(:,1)
+  CALL pppmer(nlon,1,nlon,pab1,pphis,tasfc,tastd,pmer)
+!
+  RETURN
+  END
Index: /LMDZ5/branches/testing/libf/phylmd/diagphy.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/diagphy.F90	(revision 2407)
+++ /LMDZ5/branches/testing/libf/phylmd/diagphy.F90	(revision 2408)
@@ -50,6 +50,4 @@
   IMPLICIT NONE
 
-  include "dimensions.h"
-  ! cccc#include "dimphy.h"
   include "YOMCST.h"
   include "YOETHF.h"
@@ -209,6 +207,4 @@
   IMPLICIT NONE
 
-  include "dimensions.h"
-  ! ccccc#include "dimphy.h"
   include "YOMCST.h"
   include "YOETHF.h"
Index: /LMDZ5/branches/testing/libf/phylmd/dyn1d/1DUTILS.h
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/dyn1d/1DUTILS.h	(revision 2407)
+++ /LMDZ5/branches/testing/libf/phylmd/dyn1d/1DUTILS.h	(revision 2408)
@@ -1,4 +1,3 @@
 #include "conf_gcm.F90"
-#include "q_sat.F"
 
 !
@@ -15,4 +14,5 @@
       use ioipsl_getincom
 #endif
+      USE print_control_mod, ONLY: lunout
       IMPLICIT NONE
 !-----------------------------------------------------------------------
@@ -27,5 +27,4 @@
 #include "fcg_gcssold.h"
 #include "fcg_racmo.h"
-#include "iniprint.h"
 !
 !
Index: /LMDZ5/branches/testing/libf/phylmd/dyn1d/1D_decl_cases.h
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/dyn1d/1D_decl_cases.h	(revision 2407)
+++ /LMDZ5/branches/testing/libf/phylmd/dyn1d/1D_decl_cases.h	(revision 2408)
@@ -51,5 +51,4 @@
         real dth_rico(llm)
         real dqh_rico(llm)
-        real du_age(llm),dv_age(llm)
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 ! Declarations specifiques au cas TWPice
@@ -251,4 +250,5 @@
         real hu_mod_cas(llm),vu_mod_cas(llm),du_mod_cas(llm)
         real hv_mod_cas(llm),vv_mod_cas(llm),dv_mod_cas(llm)
-!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
-
+        integer day_ini_cas
+!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+
Index: /LMDZ5/branches/testing/libf/phylmd/dyn1d/1D_interp_cases.h
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/dyn1d/1D_interp_cases.h	(revision 2407)
+++ /LMDZ5/branches/testing/libf/phylmd/dyn1d/1D_interp_cases.h	(revision 2408)
@@ -1,2 +1,5 @@
+!
+! $Id$
+!
 !---------------------------------------------------------------------
 ! Interpolation forcing in time and onto model levels
@@ -610,15 +613,17 @@
 
 ! time interpolation:
-        CALL interp_case_time(daytime,day1,annee_ref                        &
-     &       ,year_ini_cas,day_ju_ini_cas,nt_cas,pdt_cas,nlev_cas       &
-     &       ,ts_cas,plev_cas,t_cas,q_cas,u_cas,v_cas,ug_cas,vg_cas    &
-     &       ,vitw_cas,du_cas,hu_cas,vu_cas           &
-     &       ,dv_cas,hv_cas,vv_cas,dt_cas,ht_cas,vt_cas,dtrad_cas             &
-     &       ,dq_cas,hq_cas,vq_cas,lat_cas,sens_cas                 &
+        CALL interp_case_time(daytime,day1,annee_ref                                        &
+!    &       ,year_ini_cas,day_ju_ini_cas,nt_cas,pdt_cas,nlev_cas                           &
+     &       ,nt_cas,nlev_cas                                                               &
+     &       ,ts_cas,plev_cas,t_cas,q_cas,u_cas,v_cas,ug_cas,vg_cas                         &
+     &       ,vitw_cas,du_cas,hu_cas,vu_cas                                                 &
+     &       ,dv_cas,hv_cas,vv_cas,dt_cas,ht_cas,vt_cas,dtrad_cas                           &
+     &       ,dq_cas,hq_cas,vq_cas,lat_cas,sens_cas,ustar_cas                               &
+     &       ,uw_cas,vw_cas,q1_cas,q2_cas                                                   &
      &       ,ts_prof_cas,plev_prof_cas,t_prof_cas,q_prof_cas,u_prof_cas,v_prof_cas         &
      &       ,ug_prof_cas,vg_prof_cas,vitw_prof_cas,du_prof_cas,hu_prof_cas,vu_prof_cas     &
      &       ,dv_prof_cas,hv_prof_cas,vv_prof_cas,dt_prof_cas,ht_prof_cas,vt_prof_cas       &
      &       ,dtrad_prof_cas,dq_prof_cas,hq_prof_cas,vq_prof_cas,lat_prof_cas               &
-     &       ,sens_prof_cas)
+     &       ,sens_prof_cas,ustar_prof_cas,uw_prof_cas,vw_prof_cas,q1_prof_cas,q2_prof_cas)
 
              ts_cur = ts_prof_cas 
@@ -746,4 +751,5 @@
         if (tend_rayo.eq.1) then
            dt_cooling(l) = dtrad_mod_cas(l)
+!          print *,'dt_cooling=',dt_cooling(l)
         else
            dt_cooling(l) = 0.0
Index: /LMDZ5/branches/testing/libf/phylmd/dyn1d/1D_read_forc_cases.h
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/dyn1d/1D_read_forc_cases.h	(revision 2407)
+++ /LMDZ5/branches/testing/libf/phylmd/dyn1d/1D_read_forc_cases.h	(revision 2408)
@@ -1,2 +1,5 @@
+!
+! $Id$
+!
 !----------------------------------------------------------------------
 ! forcing_les = .T. : Impose a constant cooling 
@@ -323,5 +326,5 @@
       write(*,*) 'SST initiale mxcalc: ',tsurf,mxcalc
       do l = 1, llm
-! Ligne du dessous à decommenter si on lit theta au lieu de temp
+! Ligne du dessous ?? decommenter si on lit theta au lieu de temp
 !      temp(l) = t_mod(l)*(play(l)/pzero)**rkappa 
        temp(l) = t_mod(l) 
@@ -407,5 +410,5 @@
      &         ,ht_mod,hq_mod,hu_mod,hv_mod,w_mod,omega_mod,mxcalc)
 
-! Pour tester les advections horizontales de T et Q, on met w_mod et omega_mod à zero (MPL 20131108)
+! Pour tester les advections horizontales de T et Q, on met w_mod et omega_mod ?? zero (MPL 20131108)
 !     w_mod(:,:)=0.
 !     omega_mod(:,:)=0.
@@ -421,5 +424,5 @@
       write(*,*) 'SST initiale mxcalc: ',tsurf,mxcalc
       do l = 1, llm
-! Ligne du dessous à decommenter si on lit theta au lieu de temp
+! Ligne du dessous ?? decommenter si on lit theta au lieu de temp
        temp(l) = th_mod(l)*(play(l)/pzero)**rkappa 
 !      temp(l) = t_mod(l) 
@@ -733,14 +736,17 @@
 !Time interpolation for initial conditions using TOGA interpolation routine
          write(*,*) 'AVT 1ere INTERPOLATION: day,day1 = ',daytime,day1   
-      CALL interp_case_time(day,day1,annee_ref                &
-     &         ,year_ini_cas,day_ju_ini_cas,nt_cas,pdt_cas,nlev_cas       &
-     &         ,ts_cas,plev_cas,t_cas,q_cas,u_cas,v_cas               &
-     &         ,ug_cas,vg_cas,vitw_cas,du_cas,hu_cas,vu_cas           &
-     &         ,dv_cas,hv_cas,vv_cas,dt_cas,ht_cas,vt_cas,dtrad_cas             &
-     &         ,dq_cas,hq_cas,vq_cas,lat_cas,sens_cas                 &
-     &         ,ts_prof_cas,plev_prof_cas,t_prof_cas,q_prof_cas,u_prof_cas,v_prof_cas         &
-     &         ,ug_prof_cas,vg_prof_cas,vitw_prof_cas,du_prof_cas,hu_prof_cas,vu_prof_cas     &
-     &         ,dv_prof_cas,hv_prof_cas,vv_prof_cas,dt_prof_cas,ht_prof_cas,vt_prof_cas,dtrad_prof_cas       &
-     &         ,dq_prof_cas,hq_prof_cas,vq_prof_cas,lat_prof_cas,sens_prof_cas)
+      CALL interp_case_time(day,day1,annee_ref                                                              &
+!    &         ,year_ini_cas,day_ju_ini_cas,nt_cas,pdt_cas,nlev_cas                                         &
+     &         ,nt_cas,nlev_cas                                                                             &
+     &         ,ts_cas,plev_cas,t_cas,q_cas,u_cas,v_cas                                                     &
+     &         ,ug_cas,vg_cas,vitw_cas,du_cas,hu_cas,vu_cas                                                 &
+     &         ,dv_cas,hv_cas,vv_cas,dt_cas,ht_cas,vt_cas,dtrad_cas                                         &
+     &         ,dq_cas,hq_cas,vq_cas,lat_cas,sens_cas,ustar_cas                                             &
+     &         ,uw_cas,vw_cas,q1_cas,q2_cas                                                                 &
+     &         ,ts_prof_cas,plev_prof_cas,t_prof_cas,q_prof_cas,u_prof_cas,v_prof_cas                       &
+     &         ,ug_prof_cas,vg_prof_cas,vitw_prof_cas,du_prof_cas,hu_prof_cas,vu_prof_cas                   &
+     &         ,dv_prof_cas,hv_prof_cas,vv_prof_cas,dt_prof_cas,ht_prof_cas,vt_prof_cas,dtrad_prof_cas      &
+     &         ,dq_prof_cas,hq_prof_cas,vq_prof_cas,lat_prof_cas,sens_prof_cas,ustar_prof_cas               &
+     &         ,uw_prof_cas,vw_prof_cas,q1_prof_cas,q2_prof_cas)
 
 ! vertical interpolation using TOGA interpolation routine:
@@ -778,5 +784,15 @@
        d_u_adv(l) = (hv_mod_cas(l)+vv_mod_cas(l))
       enddo     
-       
+
+! In case fluxes are imposed
+       IF (ok_flux_surf) THEN
+       fsens=sens_prof_cas
+       flat=lat_prof_cas
+       ENDIF
+       IF (ok_prescr_ust) THEN
+       ust=ustar_prof_cas
+       print *,'ust=',ust
+       ENDIF
+
       endif !forcing_case
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
Index: /LMDZ5/branches/testing/libf/phylmd/dyn1d/1Dconv.h
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/dyn1d/1Dconv.h	(revision 2407)
+++ /LMDZ5/branches/testing/libf/phylmd/dyn1d/1Dconv.h	(revision 2408)
@@ -1,2 +1,5 @@
+!
+! $Id$
+!
         subroutine get_uvd(itap,dtime,file_forctl,file_fordat,                  &
      &       ht,hq,hw,hu,hv,hthturb,hqturb,                                     &
Index: /LMDZ5/branches/testing/libf/phylmd/dyn1d/compar1d.h
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/dyn1d/compar1d.h	(revision 2408)
+++ /LMDZ5/branches/testing/libf/phylmd/dyn1d/compar1d.h	(revision 2408)
@@ -0,0 +1,51 @@
+!
+! $Id: compar1d.h 2010-08-04 17:02:56Z lahellec $
+!
+      integer :: forcing_type
+      integer :: tend_u,tend_v,tend_w,tend_t,tend_q,tend_rayo
+      real :: nudge_u,nudge_v,nudge_w,nudge_t,nudge_q
+      integer :: iflag_nudge
+      real :: nat_surf
+      real :: tsurf
+      real :: rugos
+      real :: xqsol(1:2)
+      real :: qsurf
+      real :: psurf
+      real :: zsurf
+      real :: albedo
+
+      real :: time
+      real :: time_ini
+      real :: xlat 
+      real :: xlon 
+      real :: airefi
+      real :: wtsurf 
+      real :: wqsurf 
+      real :: restart_runoff 
+      real :: xagesno 
+      real :: qsolinp 
+      real :: zpicinp 
+
+      logical :: restart
+      logical :: ok_old_disvert
+
+      common/com_par1d/                                                 &
+     & nat_surf,tsurf,rugos,                                            &
+     & xqsol,qsurf,psurf,zsurf,albedo,time,time_ini,xlat,xlon,airefi,   &
+     & wtsurf,wqsurf,restart_runoff,xagesno,qsolinp,zpicinp,            &
+     & forcing_type,tend_u,tend_v,tend_w,tend_t,tend_q,tend_rayo,       &
+     & nudge_u,nudge_v,nudge_w,nudge_t,nudge_q,                         &
+     & iflag_nudge,                                                     &
+     & restart,ok_old_disvert
+
+!$OMP THREADPRIVATE(/com_par1d/)
+
+
+
+
+
+
+
+
+
+
Index: /LMDZ5/branches/testing/libf/phylmd/dyn1d/date_cas.h
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/dyn1d/date_cas.h	(revision 2408)
+++ /LMDZ5/branches/testing/libf/phylmd/dyn1d/date_cas.h	(revision 2408)
@@ -0,0 +1,9 @@
+      integer :: year_ini_cas    ! initial year of the case
+      integer :: mth_ini_cas     ! initial month of the case
+      integer :: day_deb         ! initial day of the case
+      real :: heure_ini_cas      ! start time of the case
+      real :: pdt_cas            ! forcing_frequency
+      real :: day_ju_ini_cas     ! julian day of initial day of the case
+
+      common /date_cas/year_ini_cas,mth_ini_cas,day_deb,heure_ini_cas,pdt_cas,day_ju_ini_cas
+
Index: /LMDZ5/branches/testing/libf/phylmd/dyn1d/iniphysiq_mod.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/dyn1d/iniphysiq_mod.F90	(revision 2408)
+++ /LMDZ5/branches/testing/libf/phylmd/dyn1d/iniphysiq_mod.F90	(revision 2408)
@@ -0,0 +1,1 @@
+link ../../dynlonlat_phylonlat/phylmd/iniphysiq_mod.F90
